package com.hh.hhomc.bean;

import java.util.List;

public class LogListSendBean {

    private String sn;
    private String source;
    private String op;
    private String msg;
    private List<LogsDTO> logs;

    String sender;

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<LogsDTO> getLogs() {
        return logs;
    }

    public void setLogs(List<LogsDTO> logs) {
        this.logs = logs;
    }

    public static class LogsDTO {
        private String logType;
        private List<String> paths;

        public String getLogType() {
            return logType;
        }

        public void setLogType(String logType) {
            this.logType = logType;
        }

        public List<String> getPaths() {
            return paths;
        }

        public void setPaths(List<String> paths) {
            this.paths = paths;
        }
    }
}
